unit entiers;

interface

const MAX=30000;

type TEntiers = array[1..MAX] of Integer;

function saisirNbElements() : Integer;
procedure afficher(t : TEntiers; nb : Integer);
procedure initialiserAleatoirement(var t : TEntiers; nb : Integer);

implementation

function saisirNbElements() : Integer;
var
   borne :  Integer;
begin
   repeat
      write('Nb elements :');
      readln(borne);
   until (borne>0) and (borne<=MAX);
   saisirNbElements:=borne
end; { saisirElements }

procedure afficher(t : TEntiers; nb : Integer);
var i :  Integer;
begin
   for i:=1 to nb do
      write(t[i],' ');
   writeln
end; { afficher }

procedure initialiserAleatoirement(var t : TEntiers; nb : Integer);
var i : Integer;
begin
   for i:=1 to nb do
      t[i]:=random(nb);
end; { initialiser }

end.